﻿using Dalamud.Configuration;
using System;

namespace DalamudShock
{
    [Serializable]
    public class Configuration : IPluginConfiguration
    {
        public int Version { get; set; }

        public string openshockApiKey { get; set; } = string.Empty;    
        public string OpenshockShockerID { get; set; } = string.Empty;
        public int MaxValue { get; set; } = 100;

        public bool IsConfigWindowMovable { get; set; } = true; 

        public void Save()
        {
            Plugin.PluginInterface.SavePluginConfig(this);
        }
    }
}
